flake-inputs:
{pkgs, config, lib, ...}: {
  imports = [flake-inputs.nixos-mailserver.nixosModule];

  mailserver = {
    enable = true;
    debug = false; # TODO disable
    fqdn = "mathebau.de";
    sendingFqdn = "fb04184.mathematik.tu-darmstadt.de";
    domains = [
      "mathebau.de"
      "lists.mathebau.de"
    ];
    # forwards = #TODO
    # loginAccounts = #TODO
    # extraVirtualAliases = # TODO # only for local things (maybe don't use?)
    certificateDomains = ["imap.mathebau.de"];
    # certificateScheme = "manual"; # Do we need CERTS? We don't want to run a webmailer YES IMAP!!
    #	certificateFile = #TODO
    # keyFile = #TODO

    enableSubmission = false; # no starttls smtp

    # Fun dovecot stuff :

    mailDirectory = "/var/vmail/vmail/"; # directory to store mail it was /var/mail/vmail but
                                         # /var/mail ist special
     
    hierarchySeparator = "/"; # seperator for imap mailboxes from client view

    # Caching of search indices
    indexDir = "/var/vmail/lib/dovecot/indices";
    fullTextSearch = {
      enforced = "body"; # only brute force headers if no search index is available
    };
    lmtpSaveToDetailMailbox = "no";
    # no starttls
    enableImap = false;


    # TODO checkout redis `config.services.redis.servers.rspamd.`

    # TODO
    # borgbackup = {
    # };
  };
}
